const program = require('commander');
const co = require('co');
const debug = require('debug')('boat-cli:add');

program.parse(process.argv)
co(function*(){
  let pageArr = program.args || []

  yield add(pageArr);
}).catch(e => {
  debug(e);
  console.error(e.message);
  process.exit(1);
})

function* add(pageArr){  
  const {addPage} = require('../../command/init');
  yield addPage(pageArr);
}