const babelConfig = require('./babel.config');

module.exports = {
  loaders: {
    js: require.resolve('babel-loader') + '?' + JSON.stringify(babelConfig)
  }
  ,
  optimizeSSR: false,
  compilerModules: [
    {
      postTransformNode: el => {
        el.staticStyle = `$processStyle(${el.staticStyle})`
        el.styleBinding = `$processStyle(${el.styleBinding})`
      }
    }
  ]
}