function yo(options, template){  
  let Generator = require(template);

  return new Promise(function(resolve, reject){
    let g = new Generator(options,{
      resolved: template,
      env: {
        cwd: process.cwd()
      }
    });
    g.run(function(err){
      if(err){
        console.log(err);
        reject(err);
        return;
      }
      resolve();
    })
  })
}

exports.yo = yo;