const co = require('co');
const program = require('commander');
const debug = require('debug')('boat-cli:init');

co(function*(){
  yield init()
}).catch(e => {
  debug(e);
  console.error(e.message);
  process.exit(1);
})

function* init(appId){
  const {initProjectFromServer} = require('../../command/init');
  yield initProjectFromServer();
}

