const fs = require('fs');
const path = require('path')
const chalk = require('chalk')
const keygen = require('sshkeygen')
const {sshkeyDir, home} = require('../../config/index');
const sshKeyLocation = path.join(sshkeyDir, 'boat_user_rsa_test')

 keygen({
      location: sshKeyLocation,
      comment: 'boat',
      read: true    
    }, function(err, out){
      if(err) {
        console.log(chalk.red('生成错误.'))
        console.log(err.message);
        console.log(err.stack)
        return reject(err);
      }
      
      console.log(chalk.green(`sshkey 生成完成: ${sshKeyLocation}`))
      // configKey()
      console.log(out.pubKey)
    })

// console.log('sshKeyLocation',sshKeyLocation)

// console.log(fs.readFileSync(sshKeyLocation, 'utf-8'));